; ----------------------------------------------------------------------------
; BINKLEY.CFG - Configuration File for BinkleyTerm 2.60XE
; ----------------------------------------------------------------------------

; new stuff

[Common]

; send netmail statistics messages
;StatsToMsg 2:2474/400 2:2474/400
;StatsToMsg 2:2474/400 STATS_AREA <PASSWORD>

; replace strings in Recent Activity output
; I use RED   messages for errors (see language.txt) and
;       GREEN messages for beginning of a connection:
StringRep 'RING `brightgreen`'RING
StringRep 'CONNECT `brightgreen`'CONNECT

; log EMSI information into a file
; be careful! this file will contain lots of session passwords!)
EMSIlog h:\bt\log\%TASK%\emsi.log

; create directories Binkley needs for itself
BinkDir

; show password in Alt-I node information window
ShowPassword

; show modem window with commands sent to the modem and its responses
ShowModemWin

; delete bad call counter if undialable system calls back
DelBadCall

; Pipe window contents to remote(!) computer (binkpipe.exe)
; PipeTo <remotename>

; Hangup string
Hangup `v~^`

; private outbound directory for some specific nodes
; all files you put in there will get transmitted and deleted
; XR6: NodeExtraDir address directory [Hold] [Notify]
NodeExtraDir 2:2432/200   e:\outbox\sven_dueker\
NodeExtraDir 2:2453/471   e:\outbox\hauke_hagenhoff\
NodeExtraDir 2:2450/11    e:\outbox\tom_schlangen\
NodeExtraDir 2:2474/14    e:\outbox\michael_reinsch\
NodeExtraDir 2:2474/400.5 e:\outbox\ralf_geglin\

; use Sysop.NDX instead of <nodex>.sdx
SysopNDX

; XR6: Random Node Information (see xe_user.doc)
;RandomSysop     BEACH Carlos "hot" Fernandez
;RandomSystem    BEACH Enjoying the Spanish summer
;RandomSystem    BEACH Possibly swimming!
;RandomLocation  BEACH Somewhere with water
;RandomLocation  BEACH On vacation!
;RandomSysop     BT-XE Carlos "coder" Fernandez
;RandomSysop     BT-XE "C"arlos Fernandez
;RandomSystem    BT-XE A Binkley-XE Development Site...
;RandomSystem    BT-XE Can't stop coding BT-XE stuff
;RandomLocation  BEACH,BT-XE Madrid, Spain

; XR6: globally disable DirectZap
;NoDirZap

; XR6: translates e.g. 000-192-168-1-1 to 192.168.1.1 (000 removed with dial)
; Don't use this keyword on a "conventional" modem line!
;IPRepChar -

; XR6: check inbound, outbound, flagdir and netdir while running. If they
; disappear, bink will exit with errorlevel <Errorlevel>
;CheckPath <Errorlevel> <Checktime in sec.>

; XR6: Maximus 3.0x support with maxfiles.idx request (see xe_user.doc)
;MaxPrm  <path+filename of max.prm>

; XR6: use this keyword if <node> does not send valid TZ information and you
; want to tranx with him
;NodeTimeZone <node> EST5EDT

; XR6: some aliases (the old ones might be removed in a future release)
;Inbound               - same as NetFile
;Outbound              - same as Hold
;OutboundRescanPeriod  - same as ReadHoldTime
;OutboundCache         - same as CacheHold

; XR6: show incomming EMSI caller only your AKA's, if the zone is identical
;AKAMatching

; XR6: specify an extra inbound directory for a node
;NodeInboundDir <AKA> <Directory>

[%OS%=OS2]

; XR6: do not use modem (OS/2 - Win32/winfos only)
;NoModem

[Common]

; XR6: only SEND data while RECEIVEing data in an Hydra session. This is only
; active in outbound calls.
;SyncHydraSessions <AKA>

; XR6: This is intended for use with a voicebox, e.g. ANSW.EXE. The "RING"
; is just "RING" and NOT the response from your modem.
;ExtrnMail <errlv> RING

; XR7: SharePort - WIN32: In case of troubles shelling other programs
;SharePort

; XR7: Makes it possible to request longer filenames (<46) from other systems,
; instead of standard 8.3 filenames
;FreqLongNames

[Common]

; --- SETTING ENVIRONMENT VARIABLES ------------------------------------------

; TimeZone Setting for Germany (hopefully correct, please verify!)
; the following is correct for VAC++ exes (and most other)
;PutEnv TZ=CET-1CDT,3,-1,0,7200,10,-1,0,10800,3600
; the following is correct for VAC++ and Watcom exes. BTW: You should set
; that in config.sys.
PutEnv TZ=CET-1CDT

; Set BT env var to path to Binkley main directory
PutEnv BT=h:\bt

; Set MAX env var to path to Binkley main directory
PutEnv MAX=h:\max

; Set MAXIMUS env var to point to max.prm
PutEnv MAXIMUS=%MAX%\max.prm

; Set PATH to include useful directories for mailer and BBS operations
PutEnv PATH=%BT%;%BT%\bin;%PATH%

; XR6: We don't need to set the OS variable any more as it is set by Bink.
; But you can override it, if you want.
;PutEnv OS=OS2

; Define your ports and DTE rates used here:

[%OS%==DOS]
; this is necessary for DOS version only to enable high baud rates
; this keyword MUST be used BEFORE "Baud" keyword
ExtBaudRates

[Common]
1 PutEnv PORT=5
2 PutEnv PORT=3
3 PutEnv PORT=4
4 PutEnv PORT=2
5 PutEnv PORT=1

1 PutEnv RATE=57600
2 PutEnv RATE=115200
3 PutEnv RATE=38400
4 PutEnv RATE=115200
5 PutEnv RATE=115200

; --- INITIAL COMMANDS -------------------------------------------------------

; set video mode to 80*50 (recommended if you use chat and/or terminal mode)
SpawnInit mode co80,50

[%OS%==OS2]
; OS/2: COOL! - have windows as big and where you want them! ;-)
; attention: coordinates are for 1600*1200 - adjust them before usage!
SpawnInit setwin maximize
1 SpawnInit setwin move 104 490
2 SpawnInit setwin move 144 400
3 SpawnInit setwin move 184 310
4 SpawnInit setwin move 224 220
5 SpawnInit setwin move 264 130

; OS/2: you really should include this to make sure that COM port parameters
;       are OK:
SpawnInit mode COM%PORT%:%RATE%,N,8,1,,TO=ON,XON=OFF,IDSR=OFF,ODSR=OFF,OCTS=ON,DTR=HS,RTS=HS,BUFFER=ON

; OS/2: if you use Maximus <=3.01 and SIO and 115200 bps, you should LOCK the
; port to work around a Maximus bug happening with doors at 115200 bps. If you
; use Maximus <=3.01 and COM.SYS you should use <=57600 bps only, because you
; can't really LOCK the port...
[%RATE%==115200]
SpawnInit h:\os2\apps\util\sio6_160\su %PORT% lock %RATE%

[Common]

; --- DOMAIN SETUP - *NOT* used on my system ... -----------------------------

; if you use domains (you should NOT if you don't really need them), then
; do it in this order: Domain, DomainKludge, Address
;
; [Common]
; Domain                 fidonet.org  out  nodex
; DomainKludge         1 fidonet.org
; DomainKludge         2 fidonet.org
; DomainKludge         3 fidonet.org
; DomainKludge         4 fidonet.org
; DomainKludge         5 fidonet.org
; DomainKludge         6 fidonet.org
; Address     2:2474/400@fidonet.org

; --- ADDRESS SETUP ----------------------------------------------------------

[%Task%==1]
Address       2:2474/400
Address       2:2474/401
Address       2:2474/402
Address       2:2474/403

[%Task%==2]
Address       2:2474/400
Address       2:2474/401
Address       2:2474/402
Address       2:2474/403

[%Task%==3]
Address       2:2474/402
Address       2:2474/400
Address       2:2474/401
Address       2:2474/403

[%Task%==4]
Address       2:2474/403
Address       2:2474/400
Address       2:2474/401
Address       2:2474/402

[%Task%==5]
Address       2:2474/403
Address       2:2474/400
Address       2:2474/401
Address       2:2474/402

[Common]
Address       2:2474/1
Address       9:497/3000
Address       21:492/4000
Address       24:2574/400
Address       9:497/3010
Address       9:497/3030
Address       9:497/3050
Address       21:492/4001
Address       21:492/4003
Address       21:492/4005
Address       24:2574/401
Address       24:2574/403
Address       24:2574/405


; --- MODEM/ADAPTER/PORT SETUP -----------------------------------------------

; ATTENTION: Modem responses are CaSe-SeNsItIvE know !!!

; ModemTrans
; INHOUSE   128  <-- I use that to do in-house test calls at no cost
; ISDNC      64
; ISDNB/V120 32
; ISDNA      64
; V34        16
; VFC         8
; V32T       16
; ZYX         4
; V32B        2
; HST         1
; V32         2 

[Common]
Port %PORT%
Baud %RATE%

[%Task%==1]
; US Robotics V.everything

; OS/2 only: set window title format
; Attention, %%d and %%s must be BOTH present and be in this sequence:
; first %%d, second %%s !
WindowTitleFmt BT-XE #%%d : %%s
PutEnv        ADAPTER=MODEM
PreInit       v``^``
Init          ATZ|~
Prefix        AT+FCLASS=0X3&K0DT0W
Answer        ATB0E0X7&K3+FCLASS=2.0|AT+FLI="+49\ 7142\ 980012"|AT+FNR=1,1,1,1;+FAA=1;+FCR=1;+FLO=2;+FIS=1,3,0,2,0,0,0,0|ATA|
; ARQ string filtering
NoFilter      /ARQ
ModemTrans    1   ATB1X3DT0W/ /HST
ModemTrans    2   ATX3DT0W/   /V32
ModemTrans    4   /           /ZYX
ModemTrans    8   ATX3DT0W/   /VFC
ModemTrans    16  ATX3DT0W/   /V32T
ModemTrans    32  /           /V120
ModemTrans    64  /           /X75
ModemTrans    128 ATX3DT/     /INH
AfterCall     21 ATI3I6|

ModemFax      +FCO
ExtrnMail     1 +FCO
FaxBaud       57600

CostTimeCorrection 13 4
CostCPS            1500

[%Task%==2]
; ELSA Microlink TL/pro
WindowTitleFmt BT-XE #%%d : %%s
PutEnv        ADAPTER=ISDN
PreInit       v``^`` 
Init          `ATZ|`
Prefix        ATD
Answer        ATA|
NoFilter      /ISDN
NoFilter      /REL
NoFilter      /LAPM
NoFilter      /MNP
ModemTrans    1   /         /HST  
ModemTrans    2   /         /V32  
ModemTrans    4   /         /ZYX  
ModemTrans    8   /         /VFC  
ModemTrans    16  /         /V32T 
ModemTrans    32  AT\\N4DI/ /V120 
;                   ============= for connecting Bob Juge
ModemTrans    64  ATDI/     /X75  
ModemTrans    128 /         /INH  

CostTimeCorrection 1 2
CostCPS            7000

[%Task%==3]
; ZyXEL U1496E+ ROM 6.15
WindowTitleFmt BT-XE #%%d : %%s
PutEnv        ADAPTER=MODEM
PreInit       v``^``
Init          ATZ|~
Prefix        ATDT0W
Answer        ATZ|```ATE0+FCLASS=2.0|AT+FLI="+49\ 7142\ 21235"|AT+FNR=1,1,1,1;+FAA=1;+FCR=1;+FLO=2;+FIS=1,3,0,2,0,0,0,0|ATA|
NoFilter      /ARQ
ModemTrans    1   /       /HST 
ModemTrans    2   /       /V32 
ModemTrans    4   ATDT0W/ /ZYX 
ModemTrans    8   /       /VFC 
ModemTrans    16  /       /V32T
ModemTrans    32  /       /V120
ModemTrans    64  /       /X75 
ModemTrans    128 ATDT/   /INH 
AfterCall     17 ATI2|

ModemFax      +FCO
ExtrnMail     1 +FCO
FaxBaud       38400

CostTimeCorrection 13 4
CostCPS            1500

[%Task%==4]
; ELINK 310 ISDN
WindowTitleFmt BT-XE #%%d : %%s
PutEnv        ADAPTER=ISDN
PreInit       v``^``
Init          `ATZ|`
Prefix        ATD
Answer        ATA|
NoFilter      /X.75
ModemTrans    1   /    /HST 
ModemTrans    2   /    /V32 
ModemTrans    4   /    /ZYX 
ModemTrans    8   /    /VFC 
ModemTrans    16  /    /V32T
ModemTrans    32  /    /V120
ModemTrans    64  ATD/ /X75 
ModemTrans    128 /    /INH 
; AfterCall     4 AT\\G|       ; doesn't work anyway 8(

CostTimeCorrection 1 2
CostCPS            7000

[%Task%==5]
; ELINK 310 ISDN
WindowTitleFmt BT-XE #%%d : %%s
PutEnv        ADAPTER=ISDN
PreInit       v``^``
Init          `ATZ|`
Prefix        ATD
Answer        ATA|
NoFilter      /X.75
ModemTrans    1   /    /HST 
ModemTrans    2   /    /V32 
ModemTrans    4   /    /ZYX 
ModemTrans    8   /    /VFC 
ModemTrans    16  /    /V32T
ModemTrans    32  /    /V120
ModemTrans    64  ATD/ /X75 
ModemTrans    128 /    /INH 
; AfterCall     4 AT\\G|       ; doesn't work anyway 8(

CostTimeCorrection 1 2
CostCPS            7000

; [%Task%==6]
; ; Yoriko 28800ET (V.FC)
; WindowTitleFmt BT-XE #%%d : %%s
; PutEnv        ADAPTER=MODEM
; PreInit       v``^``
; Init          `AT+FCR=1+FAA=1+FDCC=1,5+FLID="49\ 7142\ 980031"|`
; ;             +FCLASS=2
; Prefix        ATX3DT0`
; Answer        ATA|
; ;Answer        AT&C0A| ; receive FAXes with Yoriko
; NoFilter      /ARQ
; ModemFax      +FCON
; ModemTrans    1   / /HST  
; ModemTrans    2   / /V32  
; ModemTrans    4   / /ZYX  
; ModemTrans    8   / /VFC  
; ModemTrans    16  / /V32T 
; ModemTrans    32  / /V120 
; ModemTrans    64  / /X75  
; ModemTrans    128 / /INH  
; AfterCall     4 ATS86?|
; 
; CostTimeCorrection 13 4
; CostCPS            1500

[Common]

; carrier mask
Carrier      80

; lock baud rate - leave this as is
Lockbaud

; call out at "Baud" baud rate - leave this as is
Autobaud

; Init String for terminal
TermInit      AT|

; String sent when BT is busy.
Busy          AT|

; ExitBaud      -1 +FCO

; send commands s l o w l y  to modem ...
;SlowModem

; blind dial - no check for simultaneously incoming calls
;NoCollide

; Modem doesn't differentiate between RING and RINGING - same response RING
;SameRing

; ATTENTION! Modem responses are CaSe-SeNsItIvE now !
; Further, be aware that if you use ANY Modem* keyword, then only the ones
; you specify will be used and the default for all other responses will be
; "ModemIgnore".

ModemIgnore   RINGING
ModemIgnore   +FDM
ModemIgnore   RING RESPONSE
ModemRinging  RING
ModemConnect  CONNECT
ModemIgnore   RRING
ModemFailure  BUSY
ModemFailure  VOICE
ModemFailure  ERROR
ModemIgnore   OK
ModemFailure  NO CARRIER
ModemFailure  NO B-CHANNEL
ModemFailure  NO USER RESPONDING
ModemIncoming NO DIAL
ModemIgnore   DIALING
ModemFailure  NO ANSWER
ModemIgnore   DIAL TONE

; SIOmode may be used to enable SIO compatible DTR behaviour
;SIOmode

; --- PRIORITY SETUP ---------------------------------------------------------

; Win32 and OS/2 version: you maybe have to play around a bit with these
; settings. The work OK for my system (P-133), but maybe you need different
; settings for best performance (especially on bidirectional transfers).

[%OS%!=DOS] & [%ADAPTER%==MODEM]
PutEnv REGULARPRIORITY=R20
PutEnv MODEMPRIORITY=F29
PutEnv JANUSPRIORITY=F14
PutEnv HYDRAPRIORITY=F15

[%OS%!=DOS] & [%ADAPTER%==ISDN]
PutEnv REGULARPRIORITY=R20
PutEnv MODEMPRIORITY=F29
PutEnv JANUSPRIORITY=F30
PutEnv HYDRAPRIORITY=F31

[Common]

; --- SCREEN SETUP -----------------------------------------------------------

;               ÚÄ Header/Footer Lines
;               ³   ÚÄ Current Settings
;               ³   ³   ÚÄ Today at a Glance
;               ³   ³   ³   ÚÄ Pending Outbound Window
;               ³   ³   ³   ³   ÚÄ Recent Activity
;               ³   ³   ³   ³   ³   ÚÄ Transfer Status
;               ³   ³   ³   ³   ³   ³   ÚÄ Called Node
;               ³   ³   ³   ³   ³   ³   ³   ÚÄÄ PopUp Windows
;               ³   ³   ³   ³   ³   ³   ³   ³   ÚÄ Window Headers
;               ³   ³   ³   ³   ³   ³   ³   ³   ³   ÚÄ Frames
;               ³   ³   ³   ³   ³   ³   ³   ³   ³   ³   ÚÄ ModemWindow
;               ³   ³   ³   ³   ³   ³   ³   ³   ³   ³   ³   ÚÄ ModemWindow
;               V   V   V   V   V   V   V   V   V   V   V   V
; EE
Colors          30  10  12  14  15   7  30  26  11   3 10  14
CursorCol     1
CursorRow     1

; Xenia-like colors.... by HJK
;Colors          23  12  12  12   3   3  47  15  10   1  14   7
;CursorCol  1
;CursorRow  1
;Boxtype    1

; This could be readable even on grayscale (non-color) VGA monitors.
; Thanks to Manfred Caspari!
;Colors         112  22  22  22  22  22  48  47  23  23

; ???
;Colors         12  10  12  14  15   7  30  26  11   3

; Some old color setups follow (the last 2 colors are missing!)
; ???
;Colors         26  10  12  14  15   30 30  30
; EE-like
;Colors         30  31  31  79  15  14  30  30
; Light
;Colors        112  23  27  30 112  48 113 112
; black & colourful
;Colors         15  13  10  11  14  12 207 113
; Very Dark !
;Colors          3  23  19  18   3  71 199 112
; Very Blue
;Colors         23  49  48  52  30  95  19  26
; Another Dark one
;Colors         63  11   3  11   8   9  63  31
; Dark & Blue
;Colors         63  11   3  11   9   9  63  31
; this one won a contest - but why ? ;-)
;Mark_Kromm

;thanks to Wilfried Brinkmann (PM-like colours)
;Colors         113 114 116 113 112 113 79  112 112 120
;CursorCol      1
;CursorRow      24

BoxType       1

; how many lines scroll-back buffer in recent activity window ?
; OS/2: unlimited (well, limited by available virtual memory ;-)
; DOS:  each line eats about 80 bytes (at 80 columns video mode)
; DOS:  do not use more than 32KB (400 lines at 80 columns)
[%OS%==OS2] | [%OS%==W32]
RecentActivityLines 2000
[%OS%==DOS]
RecentActivityLines 100

[Common]

; blank screen after 300 seconds
BlankWait 300

; unblank screen on callers
ScreenBlank Call

; don't show size information in outbound window
;NoSize

; --- NODELIST SETUP ---------------------------------------------------------

; Version7      -> use a V7 nodelist
; Version7 Plus -> use a V7+ nodelist
Version7 Plus

; --- COST SETUP -------------------------------------------------------------

; use "unit based" cost system (european countries like Germany use this).
; comment this out if you need a "minute based" cost system like in U.S.
EuroCost

; only needed if you have "EuroCost" active: cost of a unit in your currency
CostUnit      12

; ShortCostLog [format string]
ShortCostLog

; don't forget to include cost event setup (cost.evt) at end of binkley.evt
; and to define the cost indices in your nodelist compiler setup.

; --- REQUEST SETUP ----------------------------------------------------------

; use external request processor with SRIF (no Janus support yet!)
; $s will be replaced by the SRIF file name 
SRIF %BT%\maxfreq\maxfreq.exe $s

Okfile        %BT%\okfile.cfg
KnownReqList  %BT%\okfile.cfg
ProtReqList   %BT%\okfile.cfg
ReqTemplate   %BT%\sample.tpl
KnownReqTpl   %BT%\sample.tpl
ProtReqTpl    %BT%\sample.tpl

; not supported any longer, use @FILES in OKFile / *ReqList :
; Avail         K:\etc\files\24740400.ZIP
; KnownAvail    K:\etc\files\24740400.ZIP
; ProtAvail     K:\etc\files\24740400.ZIP
; not supported any longer, use @ABOUT in OKFile / *ReqList :
; About         J:\24740400.TXT
; KnownAbout    J:\24740400.TXT
; ProtAbout     J:\24740400.TXT

; SecDisgrace   0
; SecLimited    1
; SecNormal     2
; SecWorthy     3
; SecPrivil     4
; SecFavored    5
; SecExtra      6
; SecClerk      7
; SecAsstSysop  8
; SecSysop     10
; SecHidden    11

FileSec       3
KnownSec      3
ProtSec       4

; this has to point to a Max 2.x compatible area.dat file
MaxAreas      %MAX%\Area.Dat

; generate response packets instead of response files
PktRsp

[%ADAPTER%==MODEM]
MaxReq        20
MaxBytes      6000000
MaxTime       70
KnownReqLim   20
KnownMaxBytes 6000000
KnownMaxTime  70
ProtReqLim    30
ProtMaxBytes  6000000
ProtMaxTime   70

[%ADAPTER%==ISDN]
MaxReq        33
MaxBytes      6000000
MaxTime       24
KnownReqLim   66
KnownMaxBytes 6666666
KnownMaxTime  24
ProtReqLim    99
ProtMaxBytes  19999999
ProtMaxTime   30

; --- PATH SETUP -------------------------------------------------------------

[Common]
StatusLog     %BT%\log\%TASK%\Binkley.Log
ReadLog       %BT%\log\%TASK%\BinkAdd.Log
CostLog       %BT%\log\%TASK%\Cost.log
CaptureFile   %BT%\log\%TASK%\Capture.Log

Nodelist      H:\Nodelist\
NetMail       E:\Mail\Msg\Net\
Downloads     E:\In\Download\
; New name for keyword 'NetFile': 'Inbound'
Inbound       E:\In\Unknown\
KnownInbound  E:\In\Known\
ProtInbound   E:\In\Protect\
; New name for keyword 'Hold': 'Outbound'
Outbound      E:\Out\Out\
Flags         %BT%\Flags\
ScriptPath    %BT%\Scripts\
TaskPath      %BT%\Task\

; use this for INTERNAL fax receiver to tell it where to store the faxes.
; if you want to use an EXTERNAL fax receiver, you MUST comment this out!
; I recommend to use external Fax receive program "FREC" by Harald Pollack.
;FaxInDir      E:\In\Fax\

; DOS only : where to swap
[%OS%==DOS]
SwapDir     c:\

[Common]

; Snoop inter-process communication (OS/2 only)
;Snoop         \pipe\Snoop%TASK%

; MCP inter-process communication (OS/2 only)
MCPpipe       \pipe\maximus\mcp

; IPCxx.BBS inter-process communication
IPC           %MAX%\IPC\

; --- TERMINAL SETUP ---------------------------------------------------------

;Protocol    C:\opus\kermit.exe
AnswerBack Thomas Waldmann
Macro  1 Thomas Waldmann|

; --- EXTERNAL SETUP ---------------------------------------------------------

; method to call BBS. Use "spawn" when running BT under OS/2.
[%OS%==OS2] | [%OS%==W32]
BBS Spawn
[%OS%==DOS]
BBS Exit

; method to call Extmail programs.
[%OS%==OS2] | [%OS%==W32]
Extern Spawn
[%OS%==DOS]
Extern Exit

[Common]
; with these lines one can easily do some poll events!
ErrLevelShell 101 FlowFile 21:492/0 C
ErrLevelShell 102 FlowFile 9:497/1500 C
ErrLevelShell 103 FlowFile 2:240/5202 C
ErrLevelShell 104 FlowFile 2:2/0 C
ErrLevelShell 105 FlowFile 2:2432/243 C

; don't be confused by the following - just ignore it ...
ErrLevelShell 109 FlowFile 2:2474/402 C

; --- PROTOCOL SETUP ---------------------------------------------------------

[Common]
; use FTS-0001 protocol *only*
;FTS-0001

; don't use SEALINK overdrive protocol
;NoSlo

; SEAlink (XModem) protocol: limit runahead to 6 blocks
;SmallWindow

; don't use EMSI multi-AKA protocol
;NoEMSI

[%ADAPTER%==MODEM]
;EMSIbanner

[Common]
; don't use Hydra bi-directional file transfer protocol
;NoHydra

; don't use Janus bi-directional file transfer protocol
;NoJanus

; use bi-directional protocols up to this (maximum) baud rate
BiDiBaud     115200

; use bi-directional protocols if this string is detected in
; connect string after baud rate
;BiDiOK       /ARQ
;BiDiOK       /X.75

; starting block size for ZedZap protocol - 1024 recommended.
StartBlkLen  1024

; number of seconds Binkley waits for a human caller to press <ESC> or for a
; calling mailer to begin a session before automatically passing to the BBS
Timeout 100

; Preference order of protocols on outgoing calls - you will love this if
; other side is fully FSC-0056 (EMSI) compliant (like BT-XE is NOW).
; This is your                  1.  2.  3.  4.  choice.
; Default is ProtocolPreference HYD,JAN,ZAP,ZMO (if all are enabled, if not,
; the disabled ones will be missing in the default, of course).
; If you don't want to do Janus on outgoing calls, but accept Janus on
; incoming calls, then let Janus enabled and specify HYD,ZAP,ZMO as your pref.
; Be CAREFUL with this setting. This is sent "as is" in EMSI handshake !!!
ProtocolPreference HYD,ZAP,ZMO

; --- MAILER OPERATION SETUP -------------------------------------------------

; generates excessive debug logs if activated ...
; better than enabling this config verb is enabling debug mode via commandline
; parameter "debug"
;Debug

; amount of information to be logged (-5..-1 and 1..5)
; if negative: same as positive, but only write infos to log file if CARRIER on
LogLevel      5

; write local log files, which are appended from time to time to Cost/StatusLog
;LocalLog

; overwrite duplicate files instead of renaming them
;Overwrite

; start in unattended mailer mode
Unattended

; get mail for all AKAs
PickUpAll

; try xx times to poll a system
PollTries     40

; receive xx RINGINGs before giving up
RingTries     25

; Delayed answer - use for Caller-ID or multiple lines on same phone number
;RingWait %TASK%
5 RingWait 4

; minutes between modem initializations - MUST BE between 1 and 10 !!!
ReInitTime     10

; minutes between automatic outbound scans
ReadHoldTime   10

; ingore BSY files older than MaxBusyAge minutes - do NOT set to a low value!
MaxBusyAge 240

; generate I_ALIVE.xx files in flag dir every 1 minute
ShowAlive

; Spawn external command if modem doesn't answer with OK
;SpawnNoOK trashmdm.cmd

; synchronize time according to TRANX value of other side
; TimeSync <addr> <MaxTimeDeltaSeconds>
; you can specify multiple systems to synchronize, but there is only one,
; global <MaxTimeDeltaSeconds> value, so the last one you specify counts!
TimeSync 2:240/5490 42
TimeSync 2:2452/181 42
TimeSync 2:301/1    42
TimeSync 2:2474/488 42
TimeSync 2:2474/275 10
;                   == 10 seconds will be used for ALL! 42 isn't used.

; generate / remove outbound directories as needed
; this is DEFAULT behaviour now, you don't need this keyword any more!
; MakeDir

; Gong is used for making sounds in terminal program and
; also for enabling Hydra chat "beeps" (chat start/end or Ctrl-G)
Gong

; do outbound caching
; CacheHold <what> [Stat]
; what: 0=off, 1= directories only, 2=dirs and flow files
; Stat gives statistical data for performance measuring
; Attention!!!
; don't use "2" if you run DOS (meaning you don't have memory to spend) -
; or you may run into problems if you outbound dirs and flow files are larger
; than your free DOS memory
[%OS%==OS2] | [%OS%==W32]
CacheHold 2
[%OS%==DOS]
CacheHold 0


[Common]
; --- BANNER / EMSI / BBS-INTRO SETUP ----------------------------------------

Banner        ---> TRACING your call, please stand-by..................
BBSNote       EchoBlaster BBS #%TASK%
DoingMail     Processing mail only. Call +49-7142-21235 ...

System        EchoBlaster #%TASK%
Sysop         Thomas Waldmann
MyLocation    Bietigheim-Bissingen, FRG
MyPhone       +49-7142-21516 (voice)

[%Task%==1]
MyListFlags   CM,XA,V34,H16,V32T,VFC,U,X75,V120H,ENC
MyMaxBaud     64000
[%Task%==2]
MyListFlags   CM,XA,V34,H16,V32T,VFC,U,X75,V120H,ENC
MyMaxBaud     64000
[%Task%==3]
MyListFlags   CM,XA,ZYX,U,ENC,FAX
MyMaxBaud     19200
[%Task%==4]
MyListFlags   CM,XA,U,X75,ENC
MyMaxBaud     64000
[%Task%==5]
MyListFlags   CM,XA,U,X75,ENC
MyMaxBaud     64000

; --- MISCELLANEOUS ----------------------------------------------------------

[Common]

; some funny serial number
Serial 0815

; Handshake after Carrier Detect = 1 - use for nullmodem connections
;Server

; No sessions with unlisted systems
;CurMudgeon

; Isn't used by BT - used by other applications.
;Application c:\max\maxp Direct

; MailFlag
MailFlag %BT%\Flags\GotMail.Flg

; --- SOUND SETUP ------------------------------------------------------------

; Bink can associate sounds with particular events on OS/2 and Win32.

; if anybody has some nice sounds, please send them to 2:2474/400 !

[%OS%==W32] | [%OS%==OS2]

; sound played on a E2 mail exit
;MailSound happy.wav

; sound played on a E3 or user-specified mail exit
;FileSound happy.wav

; sound played when BinkleyTerm exits to a BBS
;BBSSound happy.wav 

; sound played on exit to an external (UUCP) mailer
;EXTSound happy.wav 

; sound played at the start of unattended mode
;StartSound happy.wav 

; sound played on a FAX exit
;FAXSound happy.wav 

[Common]

; --- FreePoll SETUP ------------------------------------------------------

[%ADAPTER%==ISDN]
; set the string before the caller ID
4 ModemCID RING 
5 ModemCID RING 
; "Reject caller" ISDN adapter command
4 Reject AT\\K|
5 Reject AT\\K|
; if I am rejected, change my mail to this flavour (N, H, C, D)
ChangeMailTo Normal
4 Include FreePoll.Cfg
5 Include FreePoll.Cfg

; Include capi11cs.cfg
; Include capi20cs.cfg

[Ignore]
Into a "ignore" section, you can put any text - it will be ignored ...

; EOF
